Package Details: valum 0.3.14-1

Git Clone URL: https://aur.archlinux.org/valum.git (read-only)
Package Base: valum
Description: Web micro-framework written in Vala
Upstream URL: https://github.com/valum-framework/valum
Keywords: framework vala web
Licenses: LGPL3
Submitter: arrufat
Maintainer: arrufat
Last Packager: arrufat
Votes: 0
Popularity: 0.000000
First Submitted: 2016-11-01 17:50
Last Updated: 2017-06-27 17:47

Dependencies (11)

Required by (0)

Sources (1)

Latest Comments

arteymix commented on 2016-11-12 03:14

Hi! Author here! with a few remarks and suggestions.

The package only require glib-2.0, gobject-2.0, gio-2.0 and libsoup-2.4. All other dependencies are for building examples which are not enabled by default.

To install in /usr, just pass --prefix=/usr when calling meson.py.

Please, don't install ctpl.vapi and fcgi.vapi. The former is for an example and the latter is a private dependency that is not exposed.

You can also generate and install docs now if valadoc and sphinx are available. You have to build them explicitly before installing though because I'm using a hack with install_subdir:

ninja docs/en docs/api docs/devhelp

The 0.3.0-rc is out if you want to update the version number. Here: https://github.com/valum-framework/valum/releases/tag/v0.3.0-rc

We're good. I'm happy to see this package in AUR although I never really used Arch Linux.